Loading...
Searching...
No Matches
juce::universal_midi_packets::Utils::U4< Index > Struct Template Reference

`#include <juce_UMPUtils.h>`

## Static Public Member Functions

static constexpr uint32_t | set (uint32_t word, uint8_t value)
static constexpr uint8_t | get (uint32_t word)

## Static Public Attributes

static constexpr uint32_t | shift = (uint32_t) 0x1c - Index * 4

## Detailed Description

template<size_t Index>
struct juce::universal_midi_packets::Utils::U4< Index >

Helper functions for setting/getting 4-bit ranges inside a 32-bit word.

Definition at line 56 of file juce_UMPUtils.h.

## Member Function Documentation

## get()

template<size_t Index>

constexpr uint8_t juce::universal_midi_packets::Utils::U4< Index >::get | ( | uint32_t | word | ) |

inline static constexpr

Definition at line 65 of file juce_UMPUtils.h.

## set()

template<size_t Index>

constexpr uint32_t juce::universal_midi_packets::Utils::U4< Index >::set | ( | uint32_t | word,
|  | uint8_t | value )

inline static constexpr

Definition at line 60 of file juce_UMPUtils.h.

## Member Data Documentation

## shift

template<size_t Index>

uint32_t juce::universal_midi_packets::Utils::U4< Index >::shift = (uint32_t) 0x1c - Index * 4

static constexpr

Definition at line 58 of file juce_UMPUtils.h.

The documentation for this struct was generated from the following file:

- juce_UMPUtils.h